﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Runtime.CompilerServices;
using System.Text;
using System.Threading.Tasks;

namespace TestSfListview
{
    internal class DataItem
    {
        public DateTime MessageTime { get; set; }
        public String Message { get; set; }
    }
    internal class BasicViewModel : INotifyPropertyChanged
    {
        public event PropertyChangedEventHandler PropertyChanged;

        private System.Timers.Timer aTimer;

        private int i;
        public BasicViewModel()
        {
            aTimer = new System.Timers.Timer(2000);
            i = 1;
            // Hook up the Elapsed event for the timer. 
            aTimer.Elapsed += (source, args) =>
            {
                Data.Add(new DataItem() { MessageTime = DateTime.Now, Message = $" Messagenumber is {i}" });
                i += 1;
                NotifyPropertyChanged(nameof(Data));
            };
            aTimer.AutoReset = true;
            aTimer.Enabled = true;
        }

        public ObservableCollection<DataItem> Data { get; set; } = new();
        private void NotifyPropertyChanged([CallerMemberName] string propertyName = "")
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }
    }
}
